{ ... }:

{
  networking = {
    interfaces = {
      ens18 = {
        ipv4 = {
          addresses = [
            {
              address = "172.16.10.141";
              prefixLength = 24;
            }
          ];
        };

        ipv6 = {
          addresses = [
            {
              address = "fd00::10:0:ff:fe01:4110";
              prefixLength = 64;
            }
          ];
        };
      };

      ens19 = {
        ipv4 = {
          addresses = [
            {
              address = "172.16.3.141";
              prefixLength = 24;
            }
          ];
          routes = [
            {
              address = "0.0.0.0";
              via = "172.16.3.99";
              prefixLength = 0;
            }
          ];
        };
      };
    };

    firewall = {
      enable = true;
    };
  };
}
